<div class="row clearfix" [@routerTransition]>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card main-content">
            <div class="header">
                <h2>{{ "Students" | localize }}</h2>
                <ul class="header-dropdown m-r--5">
                    <li>
                        <button mat-icon-button [matMenuTriggerFor]="headerMenu"
                            class="header-dropdown-mat-icon-button">
                            <mat-icon>more_vert</mat-icon>
                        </button>
                        <mat-menu #headerMenu="matMenu">
                            <button mat-menu-item (click)="refresh()">
                                <mat-icon>refresh</mat-icon>
                                <span>{{ "Refresh" | localize }}</span>
                            </button>
                        </mat-menu>
                    </li>
                </ul>
            </div>
            <div class="body table-responsive">
                <table class="table table-hover table-striped" [busy]="isLoading">
                    <thead>
                        <tr>
                            <th>{{ "FirstName" | localize }}</th>
                            <th>{{ "LastName" | localize }}</th>
                            <th>{{ "EnrollmentDate" | localize }}</th>
                            <th>{{ "Active" | localize }}</th>
                            <th>{{ "Actions" | localize }}</th>
                            <th> {{ "Detailed" | localize }} </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let student of (students)">
                            <td>{{ student.firstName }}</td>
                            <td>{{ student.lastName }}</td>
                            <td>{{ student.enrollmentDate | date : 'mediumDate'}}</td>
                            <td>{{ !student.isDeleted }}</td>
                            <td>
                                <button class="action-button" mat-icon-button [matMenuTriggerFor]="actionsMenu">
                                    <mat-icon>menu</mat-icon>
                                </button>
                                <mat-menu #actionsMenu="matMenu">
                                    <button mat-menu-item (click)="editStudent(student)">
                                        <mat-icon>edit</mat-icon>
                                        <span>{{ "Edit" | localize }}</span>
                                    </button>
                                    <button mat-menu-item (click)="delete(student)">
                                        <mat-icon>delete</mat-icon>
                                        <span>{{ "Delete" | localize }}</span>
                                    </button>
                                    <button mat-menu-item (click)="enroll(student)">
                                        <mat-icon>edit</mat-icon>
                                        <span>{{ "Enroll" | localize }}</span>
                                    </button>
                                    <button mat-menu-item (click)="grade(student)">
                                        <mat-icon>edit</mat-icon>
                                        <span>{{ "Grade" | localize }}</span>
                                    </button>
                                    <button mat-menu-item (click)="setUser(student)">
                                        <mat-icon>edit</mat-icon>
                                        <span>{{ "SetUser" | localize }}</span>
                                    </button>
                                </mat-menu>
                            </td>
                            <td>
                                <button mat-button (click)="showDetailed">
                                    {{ "Details" | localize }}
                                </button>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <button mat-mini-fab color="primary" class="pull-right" (click)="createStudent()">
                    <mat-icon>add</mat-icon>
                </button>
            </div>
        </div>
    </div>
</div>